import{s as Ie,n as Le,o as ke}from"../chunks/scheduler.00bde567.js";import{S as We,i as Te,g as a,s as l,u as x,A as Ae,h as n,f as t,c as o,j as c,v as D,y as w,k as p,o as s,a as i,w as y,d as S,t as z,x as C}from"../chunks/index.47ed9d5e.js";import{D as T}from"../chunks/Docstring.e1d66142.js";import{I as Ve}from"../chunks/IconCopyLink.f406d28e.js";function qe(xe){let d,K,B,Q,u,b,F,P,de,A,De="Utilities for DeepSpeed",X,m,E,ue,V,we="This plugin is used to integrate DeepSpeed.",ge,$,N,he,q,ye="Process the DeepSpeed config with the values from the kwargs.",Y,g,O,fe,R,Se=`Dummy optimizer presents model parameters or param groups, this is primarily used to follow conventional training
loop when optimizer config is specified in the deepspeed config file.`,Z,h,I,ve,U,ze=`Dummy scheduler presents model parameters or param groups, this is primarily used to follow conventional training
loop when scheduler config is specified in the deepspeed config file.`,ee,f,L,_e,M,Ce="Internal wrapper for deepspeed.runtime.engine.DeepSpeedEngine. This is used to follow conventional training loop.",te,v,k,be,j,Pe="Internal wrapper around a deepspeed optimizer.",re,_,W,$e,H,Ee="Internal wrapper around a deepspeed scheduler.",ae,G,ne;return P=new Ve({}),E=new T({props:{name:"class accelerate.DeepSpeedPlugin",anchor:"accelerate.DeepSpeedPlugin",parameters:[{name:"hf_ds_config",val:": typing.Any = None"},{name:"gradient_accumulation_steps",val:": int = None"},{name:"gradient_clipping",val:": float = None"},{name:"zero_stage",val:": int = None"},{name:"is_train_batch_min",val:": str = True"},{name:"offload_optimizer_device",val:": bool = None"},{name:"offload_param_device",val:": bool = None"},{name:"offload_optimizer_nvme_path",val:": str = None"},{name:"offload_param_nvme_path",val:": str = None"},{name:"zero3_init_flag",val:": bool = None"},{name:"zero3_save_16bit_model",val:": bool = None"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/dataclasses.py#L501"}}),N=new T({props:{name:"deepspeed_config_process",anchor:"accelerate.DeepSpeedPlugin.deepspeed_config_process",parameters:[{name:"prefix",val:" = ''"},{name:"mismatches",val:" = None"},{name:"config",val:" = None"},{name:"must_match",val:" = True"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/dataclasses.py#L684"}}),O=new T({props:{name:"class accelerate.utils.DummyOptim",anchor:"accelerate.utils.DummyOptim",parameters:[{name:"params",val:""},{name:"lr",val:" = 0.001"},{name:"weight_decay",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.utils.DummyOptim.lr",description:`<strong>lr</strong> (float) &#x2014;
Learning rate.`,name:"lr"},{anchor:"accelerate.utils.DummyOptim.params",description:`<strong>params</strong> (iterable) &#x2014; iterable of parameters to optimize or dicts defining
parameter groups`,name:"params"},{anchor:"accelerate.utils.DummyOptim.weight_decay",description:`<strong>weight_decay</strong> (float) &#x2014;
Weight decay.
**kwargs &#x2014;
Other arguments.`,name:"weight_decay"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/deepspeed.py#L226"}}),I=new T({props:{name:"class accelerate.utils.DummyScheduler",anchor:"accelerate.utils.DummyScheduler",parameters:[{name:"optimizer",val:""},{name:"total_num_steps",val:" = None"},{name:"warmup_num_steps",val:" = 0"},{name:"lr_scheduler_callable",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.utils.DummyScheduler.optimizer",description:`<strong>optimizer</strong> (<code>torch.optim.optimizer.Optimizer</code>) &#x2014;
The optimizer to wrap.`,name:"optimizer"},{anchor:"accelerate.utils.DummyScheduler.total_num_steps",description:`<strong>total_num_steps</strong> (int, <em>optional</em>) &#x2014;
Total number of steps.`,name:"total_num_steps"},{anchor:"accelerate.utils.DummyScheduler.warmup_num_steps",description:`<strong>warmup_num_steps</strong> (int, <em>optional</em>) &#x2014;
Number of steps for warmup.`,name:"warmup_num_steps"},{anchor:"accelerate.utils.DummyScheduler.lr_scheduler_callable",description:`<strong>lr_scheduler_callable</strong> (callable, <em>optional</em>) &#x2014;
A callable function that creates an LR Scheduler. It accepts only one argument <code>optimizer</code>.
**kwargs &#x2014;
Other arguments.`,name:"lr_scheduler_callable"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/deepspeed.py#L249"}}),L=new T({props:{name:"class accelerate.utils.DeepSpeedEngineWrapper",anchor:"accelerate.utils.DeepSpeedEngineWrapper",parameters:[{name:"engine",val:""}],parametersDescription:[{anchor:"accelerate.utils.DeepSpeedEngineWrapper.engine",description:"<strong>engine</strong> (deepspeed.runtime.engine.DeepSpeedEngine) &#x2014; deepspeed engine to wrap",name:"engine"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/deepspeed.py#L154"}}),k=new T({props:{name:"class accelerate.utils.DeepSpeedOptimizerWrapper",anchor:"accelerate.utils.DeepSpeedOptimizerWrapper",parameters:[{name:"optimizer",val:""}],parametersDescription:[{anchor:"accelerate.utils.DeepSpeedOptimizerWrapper.optimizer",description:`<strong>optimizer</strong> (<code>torch.optim.optimizer.Optimizer</code>) &#x2014;
The optimizer to wrap.`,name:"optimizer"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/deepspeed.py#L182"}}),W=new T({props:{name:"class accelerate.utils.DeepSpeedSchedulerWrapper",anchor:"accelerate.utils.DeepSpeedSchedulerWrapper",parameters:[{name:"scheduler",val:""},{name:"optimizers",val:""}],parametersDescription:[{anchor:"accelerate.utils.DeepSpeedSchedulerWrapper.scheduler",description:`<strong>scheduler</strong> (<code>torch.optim.lr_scheduler.LambdaLR</code>) &#x2014;
The scheduler to wrap.`,name:"scheduler"},{anchor:"accelerate.utils.DeepSpeedSchedulerWrapper.optimizers",description:"<strong>optimizers</strong> (one or a list of <code>torch.optim.Optimizer</code>) &#x2014;",name:"optimizers"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/deepspeed.py#L209"}}),{c(){d=a("meta"),K=l(),B=a("p"),Q=l(),u=a("h1"),b=a("a"),F=a("span"),x(P.$$.fragment),de=l(),A=a("span"),A.textContent=De,X=l(),m=a("div"),x(E.$$.fragment),ue=l(),V=a("p"),V.textContent=we,ge=l(),$=a("div"),x(N.$$.fragment),he=l(),q=a("p"),q.textContent=ye,Y=l(),g=a("div"),x(O.$$.fragment),fe=l(),R=a("p"),R.textContent=Se,Z=l(),h=a("div"),x(I.$$.fragment),ve=l(),U=a("p"),U.textContent=ze,ee=l(),f=a("div"),x(L.$$.fragment),_e=l(),M=a("p"),M.textContent=Ce,te=l(),v=a("div"),x(k.$$.fragment),be=l(),j=a("p"),j.textContent=Pe,re=l(),_=a("div"),x(W.$$.fragment),$e=l(),H=a("p"),H.textContent=Ee,ae=l(),G=a("p"),this.h()},l(e){const r=Ae("svelte-1phssyn",document.head);d=n(r,"META",{name:!0,content:!0}),r.forEach(t),K=o(e),B=n(e,"P",{}),c(B).forEach(t),Q=o(e),u=n(e,"H1",{class:!0});var se=c(u);b=n(se,"A",{id:!0,class:!0,href:!0});var Ne=c(b);F=n(Ne,"SPAN",{});var Oe=c(F);D(P.$$.fragment,Oe),Oe.forEach(t),Ne.forEach(t),de=o(se),A=n(se,"SPAN",{"data-svelte-h":!0}),w(A)!=="svelte-1716x5"&&(A.textContent=De),se.forEach(t),X=o(e),m=n(e,"DIV",{class:!0});var J=c(m);D(E.$$.fragment,J),ue=o(J),V=n(J,"P",{"data-svelte-h":!0}),w(V)!=="svelte-i90brl"&&(V.textContent=we),ge=o(J),$=n(J,"DIV",{class:!0});var le=c($);D(N.$$.fragment,le),he=o(le),q=n(le,"P",{"data-svelte-h":!0}),w(q)!=="svelte-ht2n4g"&&(q.textContent=ye),le.forEach(t),J.forEach(t),Y=o(e),g=n(e,"DIV",{class:!0});var oe=c(g);D(O.$$.fragment,oe),fe=o(oe),R=n(oe,"P",{"data-svelte-h":!0}),w(R)!=="svelte-gs0woa"&&(R.textContent=Se),oe.forEach(t),Z=o(e),h=n(e,"DIV",{class:!0});var ie=c(h);D(I.$$.fragment,ie),ve=o(ie),U=n(ie,"P",{"data-svelte-h":!0}),w(U)!=="svelte-mxz6g6"&&(U.textContent=ze),ie.forEach(t),ee=o(e),f=n(e,"DIV",{class:!0});var pe=c(f);D(L.$$.fragment,pe),_e=o(pe),M=n(pe,"P",{"data-svelte-h":!0}),w(M)!=="svelte-nq2ve"&&(M.textContent=Ce),pe.forEach(t),te=o(e),v=n(e,"DIV",{class:!0});var ce=c(v);D(k.$$.fragment,ce),be=o(ce),j=n(ce,"P",{"data-svelte-h":!0}),w(j)!=="svelte-1r36mso"&&(j.textContent=Pe),ce.forEach(t),re=o(e),_=n(e,"DIV",{class:!0});var me=c(_);D(W.$$.fragment,me),$e=o(me),H=n(me,"P",{"data-svelte-h":!0}),w(H)!=="svelte-rm0vqe"&&(H.textContent=Ee),me.forEach(t),ae=o(e),G=n(e,"P",{}),c(G).forEach(t),this.h()},h(){p(d,"name","hf:doc:metadata"),p(d,"content",JSON.stringify(Re)),p(b,"id","accelerate.DeepSpeedPlugin"),p(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(b,"href","#accelerate.DeepSpeedPlugin"),p(u,"class","relative group"),p($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){s(document.head,d),i(e,K,r),i(e,B,r),i(e,Q,r),i(e,u,r),s(u,b),s(b,F),y(P,F,null),s(u,de),s(u,A),i(e,X,r),i(e,m,r),y(E,m,null),s(m,ue),s(m,V),s(m,ge),s(m,$),y(N,$,null),s($,he),s($,q),i(e,Y,r),i(e,g,r),y(O,g,null),s(g,fe),s(g,R),i(e,Z,r),i(e,h,r),y(I,h,null),s(h,ve),s(h,U),i(e,ee,r),i(e,f,r),y(L,f,null),s(f,_e),s(f,M),i(e,te,r),i(e,v,r),y(k,v,null),s(v,be),s(v,j),i(e,re,r),i(e,_,r),y(W,_,null),s(_,$e),s(_,H),i(e,ae,r),i(e,G,r),ne=!0},p:Le,i(e){ne||(S(P.$$.fragment,e),S(E.$$.fragment,e),S(N.$$.fragment,e),S(O.$$.fragment,e),S(I.$$.fragment,e),S(L.$$.fragment,e),S(k.$$.fragment,e),S(W.$$.fragment,e),ne=!0)},o(e){z(P.$$.fragment,e),z(E.$$.fragment,e),z(N.$$.fragment,e),z(O.$$.fragment,e),z(I.$$.fragment,e),z(L.$$.fragment,e),z(k.$$.fragment,e),z(W.$$.fragment,e),ne=!1},d(e){e&&(t(K),t(B),t(Q),t(u),t(X),t(m),t(Y),t(g),t(Z),t(h),t(ee),t(f),t(te),t(v),t(re),t(_),t(ae),t(G)),t(d),C(P),C(E),C(N),C(O),C(I),C(L),C(k),C(W)}}}const Re={local:"accelerate.DeepSpeedPlugin",title:"Utilities for DeepSpeed"};function Ue(xe){return ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Be extends We{constructor(d){super(),Te(this,d,Ue,qe,Ie,{})}}export{Be as component};
