import{s as qe,n as Ue,o as Be}from"../chunks/scheduler.00bde567.js";import{S as Ge,i as Fe,g as r,s as o,u as y,A as je,h as n,f as t,c as i,j as m,v as x,y as w,k as c,o as s,a as l,w as N,d as M,t as C,x as L}from"../chunks/index.47ed9d5e.js";import{D as P}from"../chunks/Docstring.e1d66142.js";import{I as He}from"../chunks/IconCopyLink.f406d28e.js";function Je(Le){let p,X,K,Y,g,D,Q,T,he,q,De="Utilities for Megatron-LM",Z,u,S,be,U,Pe=`Plugin for Megatron-LM to enable tensor, pipeline, sequence and data parallelism. Also to enable selective
activation recomputation and optimized fused kernels.`,ee,d,E,$e,B,Te=`Dummy scheduler presents model parameters or param groups, this is primarily used to follow conventional training
loop when scheduler config is specified in the deepspeed config file.`,te,_,A,ye,G,Se="Dummy dataloader presents model parameters or param groups, this is primarily used to follow conventional training",ae,v,k,xe,F,Ee="Abstract class for batching, forward pass and loss handler.",re,f,z,we,j,Ae="GPT train step class.",ne,h,I,Ne,H,ke="Bert train step class.",le,b,O,Me,J,ze="T5 train step class.",se,$,V,Ce,R,Ie="Average losses across data parallel group.",oe,W,ie;return T=new He({}),S=new P({props:{name:"class accelerate.utils.MegatronLMPlugin",anchor:"accelerate.utils.MegatronLMPlugin",parameters:[{name:"tp_degree",val:": int = None"},{name:"pp_degree",val:": int = None"},{name:"num_micro_batches",val:": int = None"},{name:"gradient_clipping",val:": float = None"},{name:"sequence_parallelism",val:": bool = None"},{name:"recompute_activation",val:": bool = None"},{name:"use_distributed_optimizer",val:": bool = None"},{name:"pipeline_model_parallel_split_rank",val:": int = None"},{name:"num_layers_per_virtual_pipeline_stage",val:": int = None"},{name:"is_train_batch_min",val:": str = True"},{name:"train_iters",val:": int = None"},{name:"train_samples",val:": int = None"},{name:"weight_decay_incr_style",val:": str = 'constant'"},{name:"start_weight_decay",val:": float = None"},{name:"end_weight_decay",val:": float = None"},{name:"lr_decay_style",val:": str = 'linear'"},{name:"lr_decay_iters",val:": int = None"},{name:"lr_decay_samples",val:": int = None"},{name:"lr_warmup_iters",val:": int = None"},{name:"lr_warmup_samples",val:": int = None"},{name:"lr_warmup_fraction",val:": float = None"},{name:"min_lr",val:": float = 0"},{name:"consumed_samples",val:": typing.List[int] = None"},{name:"no_wd_decay_cond",val:": typing.Optional[typing.Callable] = None"},{name:"scale_lr_cond",val:": typing.Optional[typing.Callable] = None"},{name:"lr_mult",val:": float = 1.0"},{name:"megatron_dataset_flag",val:": bool = False"},{name:"seq_length",val:": int = None"},{name:"encoder_seq_length",val:": int = None"},{name:"decoder_seq_length",val:": int = None"},{name:"tensorboard_dir",val:": str = None"},{name:"set_all_logging_options",val:": bool = False"},{name:"eval_iters",val:": int = 100"},{name:"eval_interval",val:": int = 1000"},{name:"return_logits",val:": bool = False"},{name:"custom_train_step_class",val:": typing.Optional[typing.Any] = None"},{name:"custom_train_step_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"custom_model_provider_function",val:": typing.Optional[typing.Callable] = None"},{name:"custom_prepare_model_function",val:": typing.Optional[typing.Callable] = None"},{name:"other_megatron_args",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/dataclasses.py#L1018"}}),E=new P({props:{name:"class accelerate.utils.MegatronLMDummyScheduler",anchor:"accelerate.utils.MegatronLMDummyScheduler",parameters:[{name:"optimizer",val:""},{name:"total_num_steps",val:" = None"},{name:"warmup_num_steps",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.utils.MegatronLMDummyScheduler.optimizer",description:`<strong>optimizer</strong> (<code>torch.optim.optimizer.Optimizer</code>) &#x2014;
The optimizer to wrap.`,name:"optimizer"},{anchor:"accelerate.utils.MegatronLMDummyScheduler.total_num_steps",description:`<strong>total_num_steps</strong> (int) &#x2014;
Total number of steps.`,name:"total_num_steps"},{anchor:"accelerate.utils.MegatronLMDummyScheduler.warmup_num_steps",description:`<strong>warmup_num_steps</strong> (int) &#x2014;
Number of steps for warmup.
**kwargs &#x2014;
Other arguments.`,name:"warmup_num_steps"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L414"}}),A=new P({props:{name:"class accelerate.utils.MegatronLMDummyDataLoader",anchor:"accelerate.utils.MegatronLMDummyDataLoader",parameters:[{name:"**dataset_kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L144"}}),k=new P({props:{name:"class accelerate.utils.AbstractTrainStep",anchor:"accelerate.utils.AbstractTrainStep",parameters:[{name:"name",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L451"}}),z=new P({props:{name:"class accelerate.utils.GPTTrainStep",anchor:"accelerate.utils.GPTTrainStep",parameters:[{name:"args",val:""}],parametersDescription:[{anchor:"accelerate.utils.GPTTrainStep.args",description:"<strong>args</strong> (<code>argparse.Namespace</code>) &#x2014; Megatron-LM arguments.",name:"args"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L597"}}),I=new P({props:{name:"class accelerate.utils.BertTrainStep",anchor:"accelerate.utils.BertTrainStep",parameters:[{name:"args",val:""}],parametersDescription:[{anchor:"accelerate.utils.BertTrainStep.args",description:"<strong>args</strong> (<code>argparse.Namespace</code>) &#x2014; Megatron-LM arguments.",name:"args"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L468"}}),O=new P({props:{name:"class accelerate.utils.T5TrainStep",anchor:"accelerate.utils.T5TrainStep",parameters:[{name:"args",val:""}],parametersDescription:[{anchor:"accelerate.utils.T5TrainStep.args",description:"<strong>args</strong> (<code>argparse.Namespace</code>) &#x2014; Megatron-LM arguments.",name:"args"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L703"}}),V=new P({props:{name:"accelerate.utils.avg_losses_across_data_parallel_group",anchor:"accelerate.utils.avg_losses_across_data_parallel_group",parameters:[{name:"losses",val:""}],parametersDescription:[{anchor:"accelerate.utils.avg_losses_across_data_parallel_group.losses",description:"<strong>losses</strong> (List[Tensor]) &#x2014; List of losses to average across data parallel group.",name:"losses"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/utils/megatron_lm.py#L1408"}}),{c(){p=r("meta"),X=o(),K=r("p"),Y=o(),g=r("h1"),D=r("a"),Q=r("span"),y(T.$$.fragment),he=o(),q=r("span"),q.textContent=De,Z=o(),u=r("div"),y(S.$$.fragment),be=o(),U=r("p"),U.textContent=Pe,ee=o(),d=r("div"),y(E.$$.fragment),$e=o(),B=r("p"),B.textContent=Te,te=o(),_=r("div"),y(A.$$.fragment),ye=o(),G=r("p"),G.textContent=Se,ae=o(),v=r("div"),y(k.$$.fragment),xe=o(),F=r("p"),F.textContent=Ee,re=o(),f=r("div"),y(z.$$.fragment),we=o(),j=r("p"),j.textContent=Ae,ne=o(),h=r("div"),y(I.$$.fragment),Ne=o(),H=r("p"),H.textContent=ke,le=o(),b=r("div"),y(O.$$.fragment),Me=o(),J=r("p"),J.textContent=ze,se=o(),$=r("div"),y(V.$$.fragment),Ce=o(),R=r("p"),R.textContent=Ie,oe=o(),W=r("p"),this.h()},l(e){const a=je("svelte-1phssyn",document.head);p=n(a,"META",{name:!0,content:!0}),a.forEach(t),X=i(e),K=n(e,"P",{}),m(K).forEach(t),Y=i(e),g=n(e,"H1",{class:!0});var ce=m(g);D=n(ce,"A",{id:!0,class:!0,href:!0});var Oe=m(D);Q=n(Oe,"SPAN",{});var Ve=m(Q);x(T.$$.fragment,Ve),Ve.forEach(t),Oe.forEach(t),he=i(ce),q=n(ce,"SPAN",{"data-svelte-h":!0}),w(q)!=="svelte-n1gkef"&&(q.textContent=De),ce.forEach(t),Z=i(e),u=n(e,"DIV",{class:!0});var me=m(u);x(S.$$.fragment,me),be=i(me),U=n(me,"P",{"data-svelte-h":!0}),w(U)!=="svelte-51ubws"&&(U.textContent=Pe),me.forEach(t),ee=i(e),d=n(e,"DIV",{class:!0});var pe=m(d);x(E.$$.fragment,pe),$e=i(pe),B=n(pe,"P",{"data-svelte-h":!0}),w(B)!=="svelte-mxz6g6"&&(B.textContent=Te),pe.forEach(t),te=i(e),_=n(e,"DIV",{class:!0});var ge=m(_);x(A.$$.fragment,ge),ye=i(ge),G=n(ge,"P",{"data-svelte-h":!0}),w(G)!=="svelte-1r57fhg"&&(G.textContent=Se),ge.forEach(t),ae=i(e),v=n(e,"DIV",{class:!0});var ue=m(v);x(k.$$.fragment,ue),xe=i(ue),F=n(ue,"P",{"data-svelte-h":!0}),w(F)!=="svelte-7ith7r"&&(F.textContent=Ee),ue.forEach(t),re=i(e),f=n(e,"DIV",{class:!0});var de=m(f);x(z.$$.fragment,de),we=i(de),j=n(de,"P",{"data-svelte-h":!0}),w(j)!=="svelte-8o1bfn"&&(j.textContent=Ae),de.forEach(t),ne=i(e),h=n(e,"DIV",{class:!0});var _e=m(h);x(I.$$.fragment,_e),Ne=i(_e),H=n(_e,"P",{"data-svelte-h":!0}),w(H)!=="svelte-1af56j7"&&(H.textContent=ke),_e.forEach(t),le=i(e),b=n(e,"DIV",{class:!0});var ve=m(b);x(O.$$.fragment,ve),Me=i(ve),J=n(ve,"P",{"data-svelte-h":!0}),w(J)!=="svelte-1w9r8gv"&&(J.textContent=ze),ve.forEach(t),se=i(e),$=n(e,"DIV",{class:!0});var fe=m($);x(V.$$.fragment,fe),Ce=i(fe),R=n(fe,"P",{"data-svelte-h":!0}),w(R)!=="svelte-39hqbl"&&(R.textContent=Ie),fe.forEach(t),oe=i(e),W=n(e,"P",{}),m(W).forEach(t),this.h()},h(){c(p,"name","hf:doc:metadata"),c(p,"content",JSON.stringify(Re)),c(D,"id","accelerate.utils.MegatronLMPlugin"),c(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(D,"href","#accelerate.utils.MegatronLMPlugin"),c(g,"class","relative group"),c(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){s(document.head,p),l(e,X,a),l(e,K,a),l(e,Y,a),l(e,g,a),s(g,D),s(D,Q),N(T,Q,null),s(g,he),s(g,q),l(e,Z,a),l(e,u,a),N(S,u,null),s(u,be),s(u,U),l(e,ee,a),l(e,d,a),N(E,d,null),s(d,$e),s(d,B),l(e,te,a),l(e,_,a),N(A,_,null),s(_,ye),s(_,G),l(e,ae,a),l(e,v,a),N(k,v,null),s(v,xe),s(v,F),l(e,re,a),l(e,f,a),N(z,f,null),s(f,we),s(f,j),l(e,ne,a),l(e,h,a),N(I,h,null),s(h,Ne),s(h,H),l(e,le,a),l(e,b,a),N(O,b,null),s(b,Me),s(b,J),l(e,se,a),l(e,$,a),N(V,$,null),s($,Ce),s($,R),l(e,oe,a),l(e,W,a),ie=!0},p:Ue,i(e){ie||(M(T.$$.fragment,e),M(S.$$.fragment,e),M(E.$$.fragment,e),M(A.$$.fragment,e),M(k.$$.fragment,e),M(z.$$.fragment,e),M(I.$$.fragment,e),M(O.$$.fragment,e),M(V.$$.fragment,e),ie=!0)},o(e){C(T.$$.fragment,e),C(S.$$.fragment,e),C(E.$$.fragment,e),C(A.$$.fragment,e),C(k.$$.fragment,e),C(z.$$.fragment,e),C(I.$$.fragment,e),C(O.$$.fragment,e),C(V.$$.fragment,e),ie=!1},d(e){e&&(t(X),t(K),t(Y),t(g),t(Z),t(u),t(ee),t(d),t(te),t(_),t(ae),t(v),t(re),t(f),t(ne),t(h),t(le),t(b),t(se),t($),t(oe),t(W)),t(p),L(T),L(S),L(E),L(A),L(k),L(z),L(I),L(O),L(V)}}}const Re={local:"accelerate.utils.MegatronLMPlugin",title:"Utilities for Megatron-LM"};function Ke(Le){return Be(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ze extends Ge{constructor(p){super(),Fe(this,p,Ke,Je,qe,{})}}export{Ze as component};
