import{s as Kt,n as Qt,o as Yt}from"../chunks/scheduler.00bde567.js";import{S as Zt,i as er,g as a,s as o,u as p,A as tr,h as n,f as r,c,j as l,v as u,y as h,k as i,o as t,a as g,w as f,d as v,t as _,x as k}from"../chunks/index.47ed9d5e.js";import{D as b}from"../chunks/Docstring.e1d66142.js";import{I as bt}from"../chunks/IconCopyLink.f406d28e.js";function rr($t){let L,Ae,Le,Ie,M,C,Me,B,Xe,ee,yt="Experiment Tracking",Ne,E,A,Ee,V,Ke,te,Tt="The Base Tracker Class",De,d,O,Qe,re,xt="A base Tracker class to be used for all logging integration implementations.",Ye,ae,wt=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/main/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,Ze,ne,Lt="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",et,oe,Mt=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,tt,ce,Et=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,rt,I,U,at,ie,Pt=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,nt,N,G,ot,se,Ct="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",ct,D,q,it,le,At=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,He,P,H,Pe,z,st,de,It="Integrated Trackers",Se,y,W,lt,ge,Nt="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",dt,me,F,Be,T,j,gt,pe,Dt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",mt,ue,R,Ve,$,J,pt,he,Ht="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",ut,fe,St="API keys must be stored in a Comet config file.",ht,ve,X,Oe,x,K,ft,_e,Bt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",vt,ke,Q,Ue,w,Y,_t,be,Vt="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",kt,$e,Z,Ge,Ce,qe;return B=new bt({}),V=new bt({}),O=new b({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L83"}}),U=new b({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L149"}}),G=new b({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": typing.Optional[int]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L136"}}),q=new b({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L124"}}),z=new bt({}),W=new b({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.
kwargs &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"logging_dir"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L157"}}),F=new b({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L173"}}),j=new b({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L268"}}),R=new b({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L283"}}),J=new b({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L391"}}),X=new b({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L407"}}),K=new b({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L472"}}),Q=new b({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L486"}}),Y=new b({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L539"}}),Z=new b({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L570"}}),{c(){L=a("meta"),Ae=o(),Le=a("p"),Ie=o(),M=a("h1"),C=a("a"),Me=a("span"),p(B.$$.fragment),Xe=o(),ee=a("span"),ee.textContent=yt,Ne=o(),E=a("h2"),A=a("a"),Ee=a("span"),p(V.$$.fragment),Ke=o(),te=a("span"),te.textContent=Tt,De=o(),d=a("div"),p(O.$$.fragment),Qe=o(),re=a("p"),re.textContent=xt,Ye=o(),ae=a("p"),ae.innerHTML=wt,Ze=o(),ne=a("p"),ne.innerHTML=Lt,et=o(),oe=a("p"),oe.innerHTML=Mt,tt=o(),ce=a("p"),ce.innerHTML=Et,rt=o(),I=a("div"),p(U.$$.fragment),at=o(),ie=a("p"),ie.textContent=Pt,nt=o(),N=a("div"),p(G.$$.fragment),ot=o(),se=a("p"),se.innerHTML=Ct,ct=o(),D=a("div"),p(q.$$.fragment),it=o(),le=a("p"),le.innerHTML=At,He=o(),P=a("h2"),H=a("a"),Pe=a("span"),p(z.$$.fragment),st=o(),de=a("span"),de.textContent=It,Se=o(),y=a("div"),p(W.$$.fragment),lt=o(),ge=a("p"),ge.innerHTML=Nt,dt=o(),me=a("div"),p(F.$$.fragment),Be=o(),T=a("div"),p(j.$$.fragment),gt=o(),pe=a("p"),pe.innerHTML=Dt,mt=o(),ue=a("div"),p(R.$$.fragment),Ve=o(),$=a("div"),p(J.$$.fragment),pt=o(),he=a("p"),he.innerHTML=Ht,ut=o(),fe=a("p"),fe.textContent=St,ht=o(),ve=a("div"),p(X.$$.fragment),Oe=o(),x=a("div"),p(K.$$.fragment),ft=o(),_e=a("p"),_e.innerHTML=Bt,vt=o(),ke=a("div"),p(Q.$$.fragment),Ue=o(),w=a("div"),p(Y.$$.fragment),_t=o(),be=a("p"),be.innerHTML=Vt,kt=o(),$e=a("div"),p(Z.$$.fragment),Ge=o(),Ce=a("p"),this.h()},l(e){const s=tr("svelte-1phssyn",document.head);L=n(s,"META",{name:!0,content:!0}),s.forEach(r),Ae=c(e),Le=n(e,"P",{}),l(Le).forEach(r),Ie=c(e),M=n(e,"H1",{class:!0});var ze=l(M);C=n(ze,"A",{id:!0,class:!0,href:!0});var Ot=l(C);Me=n(Ot,"SPAN",{});var Ut=l(Me);u(B.$$.fragment,Ut),Ut.forEach(r),Ot.forEach(r),Xe=c(ze),ee=n(ze,"SPAN",{"data-svelte-h":!0}),h(ee)!=="svelte-1y0u9hz"&&(ee.textContent=yt),ze.forEach(r),Ne=c(e),E=n(e,"H2",{class:!0});var We=l(E);A=n(We,"A",{id:!0,class:!0,href:!0});var Gt=l(A);Ee=n(Gt,"SPAN",{});var qt=l(Ee);u(V.$$.fragment,qt),qt.forEach(r),Gt.forEach(r),Ke=c(We),te=n(We,"SPAN",{"data-svelte-h":!0}),h(te)!=="svelte-ca1a1"&&(te.textContent=Tt),We.forEach(r),De=c(e),d=n(e,"DIV",{class:!0});var m=l(d);u(O.$$.fragment,m),Qe=c(m),re=n(m,"P",{"data-svelte-h":!0}),h(re)!=="svelte-m7ldax"&&(re.textContent=xt),Ye=c(m),ae=n(m,"P",{"data-svelte-h":!0}),h(ae)!=="svelte-nxw2h6"&&(ae.innerHTML=wt),Ze=c(m),ne=n(m,"P",{"data-svelte-h":!0}),h(ne)!=="svelte-sgpklc"&&(ne.innerHTML=Lt),et=c(m),oe=n(m,"P",{"data-svelte-h":!0}),h(oe)!=="svelte-fdst8q"&&(oe.innerHTML=Mt),tt=c(m),ce=n(m,"P",{"data-svelte-h":!0}),h(ce)!=="svelte-189sskg"&&(ce.innerHTML=Et),rt=c(m),I=n(m,"DIV",{class:!0});var Fe=l(I);u(U.$$.fragment,Fe),at=c(Fe),ie=n(Fe,"P",{"data-svelte-h":!0}),h(ie)!=="svelte-va87im"&&(ie.textContent=Pt),Fe.forEach(r),nt=c(m),N=n(m,"DIV",{class:!0});var je=l(N);u(G.$$.fragment,je),ot=c(je),se=n(je,"P",{"data-svelte-h":!0}),h(se)!=="svelte-czjed5"&&(se.innerHTML=Ct),je.forEach(r),ct=c(m),D=n(m,"DIV",{class:!0});var Re=l(D);u(q.$$.fragment,Re),it=c(Re),le=n(Re,"P",{"data-svelte-h":!0}),h(le)!=="svelte-ijycp8"&&(le.innerHTML=At),Re.forEach(r),m.forEach(r),He=c(e),P=n(e,"H2",{class:!0});var Je=l(P);H=n(Je,"A",{id:!0,class:!0,href:!0});var zt=l(H);Pe=n(zt,"SPAN",{});var Wt=l(Pe);u(z.$$.fragment,Wt),Wt.forEach(r),zt.forEach(r),st=c(Je),de=n(Je,"SPAN",{"data-svelte-h":!0}),h(de)!=="svelte-1uqdqx9"&&(de.textContent=It),Je.forEach(r),Se=c(e),y=n(e,"DIV",{class:!0});var ye=l(y);u(W.$$.fragment,ye),lt=c(ye),ge=n(ye,"P",{"data-svelte-h":!0}),h(ge)!=="svelte-4bz4fo"&&(ge.innerHTML=Nt),dt=c(ye),me=n(ye,"DIV",{class:!0});var Ft=l(me);u(F.$$.fragment,Ft),Ft.forEach(r),ye.forEach(r),Be=c(e),T=n(e,"DIV",{class:!0});var Te=l(T);u(j.$$.fragment,Te),gt=c(Te),pe=n(Te,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-1funvbl"&&(pe.innerHTML=Dt),mt=c(Te),ue=n(Te,"DIV",{class:!0});var jt=l(ue);u(R.$$.fragment,jt),jt.forEach(r),Te.forEach(r),Ve=c(e),$=n(e,"DIV",{class:!0});var S=l($);u(J.$$.fragment,S),pt=c(S),he=n(S,"P",{"data-svelte-h":!0}),h(he)!=="svelte-46z6qn"&&(he.innerHTML=Ht),ut=c(S),fe=n(S,"P",{"data-svelte-h":!0}),h(fe)!=="svelte-1byed2r"&&(fe.textContent=St),ht=c(S),ve=n(S,"DIV",{class:!0});var Rt=l(ve);u(X.$$.fragment,Rt),Rt.forEach(r),S.forEach(r),Oe=c(e),x=n(e,"DIV",{class:!0});var xe=l(x);u(K.$$.fragment,xe),ft=c(xe),_e=n(xe,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-1wn9vfq"&&(_e.innerHTML=Bt),vt=c(xe),ke=n(xe,"DIV",{class:!0});var Jt=l(ke);u(Q.$$.fragment,Jt),Jt.forEach(r),xe.forEach(r),Ue=c(e),w=n(e,"DIV",{class:!0});var we=l(w);u(Y.$$.fragment,we),_t=c(we),be=n(we,"P",{"data-svelte-h":!0}),h(be)!=="svelte-109p8cy"&&(be.innerHTML=Vt),kt=c(we),$e=n(we,"DIV",{class:!0});var Xt=l($e);u(Z.$$.fragment,Xt),Xt.forEach(r),we.forEach(r),Ge=c(e),Ce=n(e,"P",{}),l(Ce).forEach(r),this.h()},h(){i(L,"name","hf:doc:metadata"),i(L,"content",JSON.stringify(ar)),i(C,"id","experiment-tracking"),i(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(C,"href","#experiment-tracking"),i(M,"class","relative group"),i(A,"id","accelerate.tracking.GeneralTracker"),i(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(A,"href","#accelerate.tracking.GeneralTracker"),i(E,"class","relative group"),i(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(H,"id","accelerate.tracking.TensorBoardTracker"),i(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(H,"href","#accelerate.tracking.TensorBoardTracker"),i(P,"class","relative group"),i(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,L),g(e,Ae,s),g(e,Le,s),g(e,Ie,s),g(e,M,s),t(M,C),t(C,Me),f(B,Me,null),t(M,Xe),t(M,ee),g(e,Ne,s),g(e,E,s),t(E,A),t(A,Ee),f(V,Ee,null),t(E,Ke),t(E,te),g(e,De,s),g(e,d,s),f(O,d,null),t(d,Qe),t(d,re),t(d,Ye),t(d,ae),t(d,Ze),t(d,ne),t(d,et),t(d,oe),t(d,tt),t(d,ce),t(d,rt),t(d,I),f(U,I,null),t(I,at),t(I,ie),t(d,nt),t(d,N),f(G,N,null),t(N,ot),t(N,se),t(d,ct),t(d,D),f(q,D,null),t(D,it),t(D,le),g(e,He,s),g(e,P,s),t(P,H),t(H,Pe),f(z,Pe,null),t(P,st),t(P,de),g(e,Se,s),g(e,y,s),f(W,y,null),t(y,lt),t(y,ge),t(y,dt),t(y,me),f(F,me,null),g(e,Be,s),g(e,T,s),f(j,T,null),t(T,gt),t(T,pe),t(T,mt),t(T,ue),f(R,ue,null),g(e,Ve,s),g(e,$,s),f(J,$,null),t($,pt),t($,he),t($,ut),t($,fe),t($,ht),t($,ve),f(X,ve,null),g(e,Oe,s),g(e,x,s),f(K,x,null),t(x,ft),t(x,_e),t(x,vt),t(x,ke),f(Q,ke,null),g(e,Ue,s),g(e,w,s),f(Y,w,null),t(w,_t),t(w,be),t(w,kt),t(w,$e),f(Z,$e,null),g(e,Ge,s),g(e,Ce,s),qe=!0},p:Qt,i(e){qe||(v(B.$$.fragment,e),v(V.$$.fragment,e),v(O.$$.fragment,e),v(U.$$.fragment,e),v(G.$$.fragment,e),v(q.$$.fragment,e),v(z.$$.fragment,e),v(W.$$.fragment,e),v(F.$$.fragment,e),v(j.$$.fragment,e),v(R.$$.fragment,e),v(J.$$.fragment,e),v(X.$$.fragment,e),v(K.$$.fragment,e),v(Q.$$.fragment,e),v(Y.$$.fragment,e),v(Z.$$.fragment,e),qe=!0)},o(e){_(B.$$.fragment,e),_(V.$$.fragment,e),_(O.$$.fragment,e),_(U.$$.fragment,e),_(G.$$.fragment,e),_(q.$$.fragment,e),_(z.$$.fragment,e),_(W.$$.fragment,e),_(F.$$.fragment,e),_(j.$$.fragment,e),_(R.$$.fragment,e),_(J.$$.fragment,e),_(X.$$.fragment,e),_(K.$$.fragment,e),_(Q.$$.fragment,e),_(Y.$$.fragment,e),_(Z.$$.fragment,e),qe=!1},d(e){e&&(r(Ae),r(Le),r(Ie),r(M),r(Ne),r(E),r(De),r(d),r(He),r(P),r(Se),r(y),r(Be),r(T),r(Ve),r($),r(Oe),r(x),r(Ue),r(w),r(Ge),r(Ce)),r(L),k(B),k(V),k(O),k(U),k(G),k(q),k(z),k(W),k(F),k(j),k(R),k(J),k(X),k(K),k(Q),k(Y),k(Z)}}}const ar={local:"experiment-tracking",sections:[{local:"accelerate.tracking.GeneralTracker",title:"The Base Tracker Class"},{local:"accelerate.tracking.TensorBoardTracker",title:"Integrated Trackers"}],title:"Experiment Tracking"};function nr($t){return Yt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lr extends Zt{constructor(L){super(),er(this,L,nr,rr,Kt,{})}}export{lr as component};
