import{s as Ue,n as Ne,o as Ie}from"../chunks/scheduler.00bde567.js";import{S as je,i as We,g as n,s,u as B,m as Ze,A as Be,h as o,f as t,c,j as h,v as O,y as p,n as Oe,k as i,o as l,a as r,w as F,d as Y,t as R,x as X}from"../chunks/index.47ed9d5e.js";import{I as fe}from"../chunks/IconCopyLink.f406d28e.js";import{C as Fe}from"../chunks/CodeBlock.e2175785.js";function Ye(we){let f,z,U,J,d,w,N,P,de,H,ge="Accelerated PyTorch Training on Mac",V,$,ye=`With PyTorch v1.12 release, developers and researchers can take advantage of Apple silicon GPUs for significantly faster model training.
This unlocks the ability to perform machine learning workflows like prototyping and fine-tuning locally, right on Mac.
Apple’s Metal Performance Shaders (MPS) as a backend for PyTorch enables this and can be used via the new <code>&quot;mps&quot;</code> device.
This will map computational graphs and primitives on the MPS Graph framework and tuned kernels provided by MPS.
For more information please refer official documents <a href="https://pytorch.org/blog/introducing-accelerated-pytorch-training-on-mac/" rel="nofollow">Introducing Accelerated PyTorch Training on Mac</a>
and <a href="https://pytorch.org/docs/stable/notes/mps.html" rel="nofollow">MPS BACKEND</a>.`,D,u,g,I,_,ue,L,be="Benefits of Training and Inference using Apple Silicon Chips",K,x,Pe=`<li>Enables users to train larger networks or batch sizes locally</li> <li>Reduces data retrieval latency and provides the GPU with direct access to the full memory store due to unified memory architecture.
Therefore, improving end-to-end performance.</li> <li>Reduces costs associated with cloud-based development or the need for additional local GPUs.</li>`,Q,k,$e=`<strong>Pre-requisites</strong>: To install torch with mps support,
please follow this nice medium article <a href="https://medium.com/towards-data-science/gpu-acceleration-comes-to-pytorch-on-m1-macs-195c399efcc1" rel="nofollow">GPU-Acceleration Comes to PyTorch on M1 Macs</a>.`,ee,m,y,j,M,me,G,_e="How it works out of the box",te,T,xe="You can directly run the following script to test it out on MPS enabled Apple Silicon machines:",ae,C,ne,v,b,W,S,ve,q,ke="A few caveats to be aware of",oe,A,Me=`<li>We strongly recommend to install PyTorch &gt;= 1.13 (nightly version at the time of writing) on your MacOS machine.
It has major fixes related to model correctness and performance improvements for transformer based models.
Please refer to <a href="https://github.com/pytorch/pytorch/issues/82707" rel="nofollow">https://github.com/pytorch/pytorch/issues/82707</a> for more details.</li> <li>Distributed setups <code>gloo</code> and <code>nccl</code> are not working with <code>mps</code> device.
This means that currently only single GPU of <code>mps</code> device type can be used.</li>`,re,E,Te=`Finally, please, remember that, 🤗 <code>Accelerate</code> only integrates MPS backend, therefore if you
have any problems or questions with regards to MPS backend usage, please, file an issue with <a href="https://github.com/pytorch/pytorch/issues" rel="nofollow">PyTorch GitHub</a>.`,ie,Z,le;return P=new fe({}),_=new fe({}),M=new fe({}),C=new Fe({props:{code:"YWNjZWxlcmF0ZSUyMGxhdW5jaCUyMCUyRmV4YW1wbGVzJTJGY3ZfZXhhbXBsZS5weSUyMC0tZGF0YV9kaXIlMjBpbWFnZXM=",highlighted:"accelerate launch /examples/cv_example.py --data_dir images",wrap:!1}}),S=new fe({}),{c(){f=n("meta"),z=s(),U=n("p"),J=s(),d=n("h1"),w=n("a"),N=n("span"),B(P.$$.fragment),de=s(),H=n("span"),H.textContent=ge,V=s(),$=n("p"),$.innerHTML=ye,D=s(),u=n("h3"),g=n("a"),I=n("span"),B(_.$$.fragment),ue=s(),L=n("span"),L.textContent=be,K=s(),x=n("ol"),x.innerHTML=Pe,Q=s(),k=n("p"),k.innerHTML=$e,ee=s(),m=n("h2"),y=n("a"),j=n("span"),B(M.$$.fragment),me=s(),G=n("span"),G.textContent=_e,te=Ze("\n\n\nIt is enabled by default on MacOs machines with MPS enabled Apple Silicon GPUs.\nTo disable it, pass `--cpu` flag to `accelerate launch` command or answer the corresponding question when answering the `accelerate config` questionnaire.\n"),T=n("p"),T.textContent=xe,ae=s(),B(C.$$.fragment),ne=s(),v=n("h2"),b=n("a"),W=n("span"),B(S.$$.fragment),ve=s(),q=n("span"),q.textContent=ke,oe=s(),A=n("ol"),A.innerHTML=Me,re=s(),E=n("p"),E.innerHTML=Te,ie=s(),Z=n("p"),this.h()},l(e){const a=Be("svelte-1phssyn",document.head);f=o(a,"META",{name:!0,content:!0}),a.forEach(t),z=c(e),U=o(e,"P",{}),h(U).forEach(t),J=c(e),d=o(e,"H1",{class:!0});var se=h(d);w=o(se,"A",{id:!0,class:!0,href:!0});var Ce=h(w);N=o(Ce,"SPAN",{});var Se=h(N);O(P.$$.fragment,Se),Se.forEach(t),Ce.forEach(t),de=c(se),H=o(se,"SPAN",{"data-svelte-h":!0}),p(H)!=="svelte-19nhc2r"&&(H.textContent=ge),se.forEach(t),V=c(e),$=o(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-1mfz1q4"&&($.innerHTML=ye),D=c(e),u=o(e,"H3",{class:!0});var ce=h(u);g=o(ce,"A",{id:!0,class:!0,href:!0});var Ae=h(g);I=o(Ae,"SPAN",{});var Ee=h(I);O(_.$$.fragment,Ee),Ee.forEach(t),Ae.forEach(t),ue=c(ce),L=o(ce,"SPAN",{"data-svelte-h":!0}),p(L)!=="svelte-1k75lla"&&(L.textContent=be),ce.forEach(t),K=c(e),x=o(e,"OL",{"data-svelte-h":!0}),p(x)!=="svelte-oq3rck"&&(x.innerHTML=Pe),Q=c(e),k=o(e,"P",{"data-svelte-h":!0}),p(k)!=="svelte-1kbpcbh"&&(k.innerHTML=$e),ee=c(e),m=o(e,"H2",{class:!0});var he=h(m);y=o(he,"A",{id:!0,class:!0,href:!0});var He=h(y);j=o(He,"SPAN",{});var Le=h(j);O(M.$$.fragment,Le),Le.forEach(t),He.forEach(t),me=c(he),G=o(he,"SPAN",{"data-svelte-h":!0}),p(G)!=="svelte-sdjy8f"&&(G.textContent=_e),he.forEach(t),te=Oe(e,"\n\n\nIt is enabled by default on MacOs machines with MPS enabled Apple Silicon GPUs.\nTo disable it, pass `--cpu` flag to `accelerate launch` command or answer the corresponding question when answering the `accelerate config` questionnaire.\n"),T=o(e,"P",{"data-svelte-h":!0}),p(T)!=="svelte-1k89y14"&&(T.textContent=xe),ae=c(e),O(C.$$.fragment,e),ne=c(e),v=o(e,"H2",{class:!0});var pe=h(v);b=o(pe,"A",{id:!0,class:!0,href:!0});var Ge=h(b);W=o(Ge,"SPAN",{});var qe=h(W);O(S.$$.fragment,qe),qe.forEach(t),Ge.forEach(t),ve=c(pe),q=o(pe,"SPAN",{"data-svelte-h":!0}),p(q)!=="svelte-j5sm92"&&(q.textContent=ke),pe.forEach(t),oe=c(e),A=o(e,"OL",{"data-svelte-h":!0}),p(A)!=="svelte-9odwh8"&&(A.innerHTML=Me),re=c(e),E=o(e,"P",{"data-svelte-h":!0}),p(E)!=="svelte-ggojqf"&&(E.innerHTML=Te),ie=c(e),Z=o(e,"P",{}),h(Z).forEach(t),this.h()},h(){i(f,"name","hf:doc:metadata"),i(f,"content",JSON.stringify(Re)),i(w,"id","accelerated-pytorch-training-on-mac"),i(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(w,"href","#accelerated-pytorch-training-on-mac"),i(d,"class","relative group"),i(g,"id","benefits-of-training-and-inference-using-apple-silicon-chips"),i(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(g,"href","#benefits-of-training-and-inference-using-apple-silicon-chips"),i(u,"class","relative group"),i(y,"id","how-it-works-out-of-the-box"),i(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(y,"href","#how-it-works-out-of-the-box"),i(m,"class","relative group"),i(b,"id","a-few-caveats-to-be-aware-of"),i(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(b,"href","#a-few-caveats-to-be-aware-of"),i(v,"class","relative group")},m(e,a){l(document.head,f),r(e,z,a),r(e,U,a),r(e,J,a),r(e,d,a),l(d,w),l(w,N),F(P,N,null),l(d,de),l(d,H),r(e,V,a),r(e,$,a),r(e,D,a),r(e,u,a),l(u,g),l(g,I),F(_,I,null),l(u,ue),l(u,L),r(e,K,a),r(e,x,a),r(e,Q,a),r(e,k,a),r(e,ee,a),r(e,m,a),l(m,y),l(y,j),F(M,j,null),l(m,me),l(m,G),r(e,te,a),r(e,T,a),r(e,ae,a),F(C,e,a),r(e,ne,a),r(e,v,a),l(v,b),l(b,W),F(S,W,null),l(v,ve),l(v,q),r(e,oe,a),r(e,A,a),r(e,re,a),r(e,E,a),r(e,ie,a),r(e,Z,a),le=!0},p:Ne,i(e){le||(Y(P.$$.fragment,e),Y(_.$$.fragment,e),Y(M.$$.fragment,e),Y(C.$$.fragment,e),Y(S.$$.fragment,e),le=!0)},o(e){R(P.$$.fragment,e),R(_.$$.fragment,e),R(M.$$.fragment,e),R(C.$$.fragment,e),R(S.$$.fragment,e),le=!1},d(e){e&&(t(z),t(U),t(J),t(d),t(V),t($),t(D),t(u),t(K),t(x),t(Q),t(k),t(ee),t(m),t(te),t(T),t(ae),t(ne),t(v),t(oe),t(A),t(re),t(E),t(ie),t(Z)),t(f),X(P),X(_),X(M),X(C,e),X(S)}}}const Re={local:"accelerated-pytorch-training-on-mac",sections:[{local:null,sections:[{local:"benefits-of-training-and-inference-using-apple-silicon-chips",title:"Benefits of Training and Inference using Apple Silicon Chips"}],title:null},{local:"how-it-works-out-of-the-box",title:"How it works out of the box"},{local:"a-few-caveats-to-be-aware-of",title:"A few caveats to be aware of"}],title:"Accelerated PyTorch Training on Mac"};function Xe(we){return Ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends je{constructor(f){super(),We(this,f,Xe,Ye,Ue,{})}}export{Ke as component};
